<?php

/**
 * HostDev TogglePanel
 *
 * @version 1.0
 * @author Eugeny Panikarowsky - evgenii_panikaro@mail.ru
 * @copyright © 2015 Eugeny Panikarowsky
 *
*/


@set_time_limit(90000);

require_once('bootstrap.php');

Core_Auth::authorization('module');

@error_reporting(E_ERROR);

define('MODULE_INTERNAL_NAME','hostdev_togglepanel');
define('MODULE_NAME', 'Переключатель панелей');
define('MODULE_VERSION', "1.0");
define('SELF_NAME', 'installtogglepanel.php');
define('MODULE_PAGE', "http://hostdev.pw/module/togglepanel/");


if (Core_Array::getPost('install', 0))
{
	$oRedirect = Core_Entity::factory('module');
	$oRedirect->name = MODULE_NAME;
	$oRedirect->path = MODULE_INTERNAL_NAME;
	$oRedirect->indexing = 0;
	$oRedirect->save();
	$oRedirect->install();
	@unlink(SELF_NAME);
	
	header('Location: http://'.$_SERVER['HTTP_HOST'].'/');
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Установка модуля <?php echo MODULE_NAME?></title>
		<meta content="text/html; charset=UTF-8" http-equiv="Content-Type"></meta>
		<link type="text/css" href="http://www.hostcms.ru/download/6/install/css/style.css" rel="stylesheet"></link>
		<link type="text/css" href="http://www.hostcms.ru/download/6/install/css/skin/style.css" rel="stylesheet"></link>
		<style>
			#id_content #authorization { background:#fff;}
		</style>
	</head>
	<body class="hostcms6">

	<div id="top">
		<div id="hostCmsLogo">
			<a href="/admin/"><img id="hostCmsLogoImg" src="http://www.hostcms.ru/download/6/install/images/logo.png" alt="(^) HostCMS" title="HostCMS"></img></a>
		</div>
	</div>

	<div id="id_content" class="hostcmsWindow">
		<div id="authorization">
			<div id="form">
				
					<p><strong>Установка модуля "<?php echo MODULE_NAME;?>"
						<div>							
							<img src="http://hostdev.pw/upload/information_system_2/1/6/5/item_165/togglepanel_min.png" style="float:left; padding-right:10px;">				</div>
					</strong></p>
					<p>Версия: <strong><?php echo MODULE_VERSION;?></strong></p>

				<form name="authorization" action="/<?php echo SELF_NAME;?>" method="post">
					<p>Программа установит модуль и запустит его</p>
						<div style="margin: 10px 0 0 0;"><input name="install" class="start" type="submit" value="Установить"/></div>				</form>
							</div>
			<div id="rightImage" class="globe">
				<div id="theme" class="disableSelect"></div>
			</div>
		</div>

		</div>
		<div id="footer">
			<div id="links">
				<p>Страница модуля:  <a href="<?php echo MODULE_PAGE;?>"><?php echo MODULE_NAME;?></a></p>
				<p>Официальный сайт HostCMS:  <a href="http://www.hostcms.ru" target="_blank">www.hostcms.ru</a></p>
			</div>
		</div>
	</body>
</html>	